ranges::v3::concepts::InputIterator Struct Reference
Inheritance diagram for ranges::v3::concepts::InputIterator:

## Public Types

template<typename I >
using | category_t = meta::_t< ranges::iterator_category< I > >
Public Types inherited from ranges::v3::concepts::refines< Iterator, Readable >
using | base_concepts_t = meta::list< Concepts... >

## Public Member Functions

template<typename I >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< DerivedFrom, category_t< I >, ranges::input_iterator_tag >()))
Public Member Functions inherited from ranges::v3::concepts::refines< Iterator, Readable >
void | requires_ ()